Bug 37846 - Update tasklist children only in EQ
Update tasklist children only in EQ
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Action Items
3.x
PC Linux
: P2 (vote)
: 3.x
Assigned To: tasklist-issues@contrib
tasklist-issues@contrib
: THREAD
Depends on:
Blocks: 37802
  Show dependency treegraph
 
Reported: 2003-12-08 16:48 UTC by Jesse Glick
Modified: 2004-03-02 08:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Suggested patch (2.25 KB, patch)
2003-12-08 16:48 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-12-08 16:48:01 UTC
See issue #37802 for justification. This patch
appears to solve the symptoms reported in that bug.
Comment 1 Jesse Glick 2003-12-08 16:48:14 UTC
Created attachment 12462 [details]
Suggested patch
Comment 2 Jesse Glick 2003-12-10 18:04:52 UTC
Since #37802 was pushed off into the future, treating this as the
visible defect.
Comment 3 _ pkuzel 2003-12-12 15:13:52 UTC
What? Should any Children.Key client wrap setKeys call to Runnable?
Why it's not done in setKeys directly.

TTV custody. OK, just another workaround. However rather early in dev
cycle.
Comment 4 Jesse Glick 2003-12-12 16:15:17 UTC
In nodes_eq_35833, Children.Keys.setKeys *does* automatically replan
itself to EQ. In that branch it has to because children can only be
accessed in EQ. In the trunk this is not generally required and you
can use any thread, under Children.MUTEX, and e.g. BeanTreeView
handles it fine; but it seems TTV is buggy in its use of
VisualizerChildren, and it seems that restricting yourself to EQ-only
access (which is anyway the long-term goal) avoids those bugs.
Comment 5 Jesse Glick 2003-12-15 17:21:39 UTC
Do you think you could increment tasklist/core/manifest.mf so that
this critical workaround gets published on AU? The current AU version is

org.netbeans.modules.tasklist.core/1 [1.15 200312111900]

which does not have the fix.
Comment 6 Milan Kubec 2004-03-02 08:47:46 UTC
Please, reporter, could you verify fixed issues. Thanks a lot.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo